Bug 496766 - autofs4 - obvious mistake in mounted check in autofs4_mount_busy()
autofs4 - obvious mistake in mounted check in autofs4_mount_busy()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Ian Kent
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 22:33 EDT by Ian Kent
Modified: 2009-09-02 04:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix mistake in autofs4_mount_busy() (742 bytes, patch)
2009-04-20 22:33 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2009-04-20 22:33:56 EDT
Created attachment 340467 [details]
Patch to fix mistake in autofs4_mount_busy()

Description of problem:

While working on another bug I noticed an obvious mistake in
the return value following a check in
fs/autofs4/expire.c:autofs4_mount_busy().

So far this appears to have not caused any actual problems but,
nevertheless is not correct and needs to be fixed.

Version-Release number of selected component (if applicable):
RHEL-5.3 kernel.
Comment 1 RHEL Product and Program Management 2009-04-20 22:48:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2009-04-27 12:00:53 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 errata-xmlrpc 2009-09-02 04:58:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.